#!/usr/bin/env python

import sys
import os
import logging
import yaml
import traceback
from optparse import OptionParser


def main():
    usage = "usage: %prog <yaml-file> <key>"
    parser = OptionParser(usage=usage)
    (options, args) = parser.parse_args()

    if len(args) != 2:
        parser.print_help()
        sys.exit(1)

    fname=args[0]
    k=args[1]

    f=open(fname)
    vars = yaml.load(f)
    print vars.get(k)


if __name__ == '__main__':
    try:
        main()
        sys.exit(0)

    except Exception:
        traceback.print_exc(file=sys.stderr)
        sys.exit(1)
